/*!
 * QRcdr - php QR Code generator
 * Copyright 2015-2020 Nicola Franchini
 * item sold on codecanyon https://codecanyon.net/item/qrcdr-responsive-qr-code-generator/9226839
 */
a:hover,
a:focus,
a:active {
  text-decoration: none;
}
hr {
  border-color: #c7c7c7;
}
.form-control {
  background-color: rgba(0, 0, 0, 0.01);
}
.btn:disabled {
  opacity: 0.2;
}
.btn.focus,
.btn:focus {
  box-shadow: none !important;
}

img {
  max-width: 100%;
  height: auto;
}
textarea.form-control {
  margin-bottom: 1rem;
}
.custom-file {
  position: relative;
  display: inline-block;
  width: 100%;
  height: calc(1.5em + 0.75rem + 2px);
  margin-bottom: 0;
}
.custom-file-label {
  border: none;
}
label.custom-file-label:after {
  content: "\f093" !important;
  font-family: "FontAwesome";
  width: 100%;
  border: none;
  text-align: center;
  border-radius: 0.25rem;
}
.custom-file-label:after {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  z-index: 3;
  display: block;
  height: calc(1.5em + 0.75rem);
  padding: 0.375rem 0.75rem;
  line-height: 1.5;
}
.nav-pills > li > a span {
  font-size: 0.8em;
}
.dropdown-menu {
  z-index: 1022;
}
.navbar-dark .navbar-toggler {
  border-color: transparent;
}
.logoselecta img {
  min-height: 2em;
  min-width: 2em;
  max-width: 2em;
  max-height: 2em;
}
.btn.custom-watermark {
  padding: 0;
}
.custom-watermark img {
  max-width: 100%;
  height: 2em;
  margin: 0.375rem 0.75rem;
}
.styleselecta img {
  width: 2.5em;
}
.styleselecta label {
  min-width: 2.5em;
}
.btn-group-toggle .btn {
  border-radius: 0;
}
.btn-check:active + .btn,
.btn-check:checked + .btn {
  background-color: #dae0e5;
  border-color: #dae0e5;
}
/* 
* Headings
*/
h1 {
  font-size: 2.1rem;
}
.display-4 {
  font-size: 2.5rem;
}
.display-3 {
  font-size: 3rem;
}
.display-2 {
  font-size: 3.5rem;
}
.display-1 {
  font-size: 4rem;
}

@media (min-width: 576px) {
  h1 {
    font-size: 2.2rem;
  }
  .display-4 {
    font-size: 3rem;
  }
  .display-3 {
    font-size: 3.5rem;
  }
  .display-2 {
    font-size: 4rem;
  }
  .display-1 {
    font-size: 4.5rem;
  }
}

@media (min-width: 768px) {
  h1 {
    font-size: 2.3rem;
  }
  .display-4 {
    font-size: 3.5rem;
  }
  .display-3 {
    font-size: 4rem;
  }
  .display-2 {
    font-size: 4.5rem;
  }
  .display-1 {
    font-size: 5rem;
  }
}

@media (min-width: 992px) {
  h1 {
    font-size: 2.4rem;
  }
  .display-4 {
    font-size: 4rem;
  }
  .display-3 {
    font-size: 4.5rem;
  }
  .display-2 {
    font-size: 5rem;
  }
  .display-1 {
    font-size: 5.5rem;
  }
}

@media (min-width: 1200px) {
  h1 {
    font-size: 2.5rem;
  }
  .display-4 {
    font-size: 4.5rem;
  }
  .display-3 {
    font-size: 5rem;
  }
  .display-2 {
    font-size: 5.5rem;
  }
  .display-1 {
    font-size: 6rem;
  }
}

/* 
* Google map
*/
#map-canvas img {
  max-width: none;
}
#map-canvas {
  width: 100%;
  height: 350px;
  padding: 0px;
  float: left;
}
.controls {
  margin-top: 16px;
  border: 1px solid transparent;
  box-sizing: border-box;
  -moz-box-sizing: border-box;
  height: 32px;
  outline: none;
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.3);
}
#pac-input,
#latlong input {
  background-color: #fff;
  padding: 0 11px 0 13px;
  font-family: Roboto;
  font-size: 15px;
  font-weight: 300;
  text-overflow: ellipsis;
}
#pac-input {
  width: 50%;
}
#latbox,
#lngbox {
  width: 20%;
}
#pac-input:focus,
#latlong input:focus {
  border-color: #4d90fe;
}

/* 
* QR code placeholder 
*/
.wrapresult,
.resultholder {
  position: relative;
  text-align: center;
}
.resultholder svg {
  max-width: 100%;
  height: auto;
}
.placeresult {
  float: left;
  width: 100%;
  padding: 10px;
  -webkit-box-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
  box-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
  position: relative;
}
.placeresult .linksholder .btn {
  font-size: 2.5rem;
}
.preloader {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background: #fff;
  font-size: 36px;
  display: none;
  -webkit-box-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
  box-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
}
.preloader .fa-cog {
  position: absolute;
  left: 50%;
  top: 50%;
  margin-left: -18px;
  margin-top: -18px;
}

.was-validated .form-control:valid {
  background-image: none;
  border-color: #ced4da;
}
.was-validated .custom-select:valid {
  border-color: #ced4da;
}

.custom-control-input.is-valid ~ .custom-control-label,
.was-validated .custom-control-input:valid ~ .custom-control-label {
  color: inherit;
}
.form-group {
  margin-bottom: 1rem;
}
.overlay-gradient {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background: rgba(255, 255, 255, 0.2);
  background: -moz-linear-gradient(
    -45deg,
    rgba(255, 255, 255, 0.2) 0%,
    rgba(255, 255, 255, 0) 100%
  );
  background: -webkit-gradient(
    left top,
    right bottom,
    color-stop(0%, rgba(255, 255, 255, 0.2)),
    color-stop(100%, rgba(255, 255, 255, 0))
  );
  background: -webkit-linear-gradient(
    -45deg,
    rgba(255, 255, 255, 0.2) 0%,
    rgba(255, 255, 255, 0) 100%
  );
  background: -o-linear-gradient(
    -45deg,
    rgba(255, 255, 255, 0.2) 0%,
    rgba(255, 255, 255, 0) 100%
  );
  background: -ms-linear-gradient(
    -45deg,
    rgba(255, 255, 255, 0.2) 0%,
    rgba(255, 255, 255, 0) 100%
  );
  background: linear-gradient(
    135deg,
    rgba(255, 255, 255, 0.2) 0%,
    rgba(255, 255, 255, 0) 100%
  );
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ffffff', endColorstr='#ffffff', GradientType=1 );
}
.vertical-middle {
  vertical-align: middle;
}
#infomarker_admin {
  width: 24px;
  height: 24px;
  border: 2px solid #950000;
  border-radius: 3em;
  background-color: #0ff;
  opacity: 0.5;
  cursor: move;
}
.venomap {
  width: 100%;
  height: 400px;
}
.form-control.no-validate:valid,
.form-control.no-validate:invalid {
  border-color: #ced4da;
  padding-right: 0.75rem;
  background: none;
}
/*
 * OL controls
 */
.ol-attribution * {
  font-size: 9px;
}
.ol-control {
  padding: 0;
}
.ol-control.ol-zoom,
.ol-control.ol-zoom:hover {
  background: none;
  z-index: 9;
}

.ol-control button,
.ol-control button:focus,
.ol-control button:hover {
  background-color: #393939;
}
.ol-control button:focus,
.ol-control button:hover {
  opacity: 0.8;
}
/* Toast Alert */
.alert_placeholder {
  position: fixed;
  bottom: 15px;
  right: 15px;
  z-index: 1021;
  transition: visibility 0.15s linear;
  visibility: hidden;
}
.alert_placeholder.show {
  visibility: visible;
}
.icon-spin {
  -webkit-animation: icon-spin 2s infinite linear;
  animation: icon-spin 2s infinite linear;
}
@keyframes icon-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

input[type="range"].qrcdr-slider-input {
  -webkit-appearance: none;
  margin: 10px 0;
  width: 100%;
  opacity: 0.7;
}
input[type="range"].qrcdr-slider-input:focus {
  outline: none;
}
input[type="range"].qrcdr-slider-input::-webkit-slider-runnable-track {
  width: 100%;
  height: 6px;
  cursor: pointer;
  animate: 0.2s;
  box-shadow: 0px 0px 0px #000000;
  background: #d3d3d3;
  border-radius: 50px;
  border: 0px solid #000000;
}
input[type="range"].qrcdr-slider-input::-webkit-slider-thumb {
  box-shadow: 0px 0px 1px #000000;
  border: 0px solid #000000;
  height: 14px;
  width: 14px;
  border-radius: 50px;
  background: #0083fd;
  cursor: pointer;
  -webkit-appearance: none;
  margin-top: -4px;
}
input[type="range"].qrcdr-slider-input:focus::-webkit-slider-runnable-track {
  background: #d3d3d3;
}
input[type="range"].qrcdr-slider-input::-moz-range-track {
  width: 100%;
  height: 6px;
  cursor: pointer;
  animate: 0.2s;
  box-shadow: 0px 0px 0px #000000;
  background: #d3d3d3;
  border-radius: 50px;
  border: 0px solid #000000;
}
input[type="range"].qrcdr-slider-input::-moz-range-thumb {
  box-shadow: 0px 0px 1px #000000;
  border: 0px solid #000000;
  height: 14px;
  width: 14px;
  border-radius: 50px;
  background: #0083fd;
  cursor: pointer;
}
input[type="range"].qrcdr-slider-input::-ms-track {
  width: 100%;
  height: 6px;
  cursor: pointer;
  animate: 0.2s;
  background: transparent;
  border-color: transparent;
  color: transparent;
}
input[type="range"].qrcdr-slider-input::-ms-fill-lower {
  background: #d3d3d3;
  border: 0px solid #000000;
  border-radius: 100px;
  box-shadow: 0px 0px 0px #000000;
}
input[type="range"].qrcdr-slider-input::-ms-fill-upper {
  background: #d3d3d3;
  border: 0px solid #000000;
  border-radius: 100px;
  box-shadow: 0px 0px 0px #000000;
}

.form-control,
.form-select {
  border-radius: 0;
}

input[type="range"].qrcdr-slider-input::-ms-thumb {
  box-shadow: 0px 0px 1px #000000;
  border: 0px solid #000000;
  height: 14px;
  width: 14px;
  border-radius: 50px;
  background: #0083fd;
  cursor: pointer;
}
input[type="range"].qrcdr-slider-input:focus::-ms-fill-lower {
  background: #d3d3d3;
}
input[type="range"].qrcdr-slider-input:focus::-ms-fill-upper {
  background: #d3d3d3;
}
.input-group > .sp-colorize-container {
  flex: 1 1 auto;
  width: 1%;
}

/*
 * CropIt
 */
.image-editor {
  width: 248px;
}
.cropit-preview img {
  max-width: none;
}
.cropit-preview {
  background-size: cover;
  width: 200px;
  height: 200px;
  margin: 25px;
  border: 1px solid #e4e1e6;
}
.cropit-preview-image-container {
  cursor: move;
}
input.cropit-image-input {
  visibility: hidden;
  display: none;
}
.cropit-preview-background {
  opacity: 0.2;
}
input.cropit-image-zoom-input {
  position: relative;
}

.cropit-image-zoom-input,
.cropit-preview {
  display: none;
}

.cropit-preview.cropit-image-loaded {
  display: block;
}
.cropit-image-loaded.cropit-image-zoom-input:not([disabled]) {
  display: inline-block;
}

.accordion {
  --bs-accordion-border-width: 0;
}

.ltr {
  direction: ltr;
}

nav.navbar.bg-primary.m-0.navbar-expand-sm.navbar-dark.bg-dark {
  display: none;
}

body.qrcdr {
  padding-top: 2em;
}

html.overflow-dispaly::-webkit-scrollbar {
  width: 1px;
  height: 1px;
}

html.overflow-dispaly::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 6px #0000;
  border-radius: 10px;
}

html.overflow-dispaly::-webkit-scrollbar-thumb {
  border-radius: 10px;
  color: #0000;
  -webkit-box-shadow: inset 0 0 15px #0000;
  transition: box-shadow 0.4s ease;
}

@font-face {
  font-family: "Shabnam";
  font-display: swap;
  src: url(lib/fonts/Shabnam.eot);
  src: url("lib/fonts/Shabnam.eot?#iefix") format("embedded-opentype"),
    url(lib/fonts/Shabnam.woff2) format("woff2"),
    url(lib/fonts/Shabnam.woff) format("woff"),
    url(lib/fonts/Shabnam.otf) format("truetype");
}

@font-face {
  font-family: "Vazir";
  font-display: swap;
  src: url(lib/fonts/Vazir.eot);
  src: url("lib/fonts/Vazir.eot?#iefix") format("embedded-opentype"),
    url(lib/fonts/Vazir.woff2) format("woff2"),
    url(lib/fonts/Vazir.woff) format("woff"),
    url(lib/fonts/Vazir.ttf) format("truetype");
}

@font-face {
  font-family: "Tanha";
  font-display: swap;
  src: url(lib/fonts/Tanha.eot);
  src: url("lib/fonts/Tanha.eot?#iefix") format("embedded-opentype"),
    url(lib/fonts/Tanha.woff2) format("woff2"),
    url(lib/fonts/Tanha.woff) format("woff"),
    url(lib/fonts/Tanha.ttf) format("truetype");
}

@font-face {
  font-family: "Yekan";
  font-display: swap;
  src: url(lib/fonts/Yekan.eot);
  src: url("lib/fonts/Yekan.eot?#iefix") format("embedded-opentype"),
    url(lib/fonts/Yekan.woff) format("woff"),
    url(lib/fonts/Yekan.ttf) format("truetype");
}

@font-face {
  font-family: Parastoo;
  src: url("lib/fonts/Parastoo.eot");
  src: url("lib/fonts/Parastoo.eot?#iefix") format("Parastoo-opentype"),
    url("lib/fonts/Parastoo.woff") format("woff"),
    url("lib/fonts/Parastoo.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
}
